diff --git a/src/providers/krb5/krb5_auth.c b/src/providers/krb5/krb5_auth.c
index a4183dc..7633c67 100644
--- a/src/providers/krb5/krb5_auth.c
+++ b/src/providers/krb5/krb5_auth.c
@@ -1263,12 +1263,12 @@ static void krb5_pam_handler_access_done(struct tevent_req *req)
     ret = krb5_access_recv(req, &access_allowed);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(1, ("krb5_access request failed [%d][%s]\n", ret, strerror(ret)));
+        DEBUG(1, "krb5_access request failed [%d][%s]\n", ret, strerror(ret));
         goto done;
     }
 
-    DEBUG(7, ("Access %s for user [%s].\n",
-              access_allowed ? "allowed" : "denied", pd->user));
+    DEBUG(7, "Access %s for user [%s].\n",
+              access_allowed ? "allowed" : "denied", pd->user);
     pd->pam_status = access_allowed ? PAM_SUCCESS : PAM_PERM_DENIED;
     dp_err = DP_ERR_OK;
 
diff --git a/src/providers/krb5/krb5_become_user.c b/src/providers/krb5/krb5_become_user.c
index 4d5346f..6ddb35a 100644
--- a/src/providers/krb5/krb5_become_user.c
+++ b/src/providers/krb5/krb5_become_user.c
@@ -32,12 +32,12 @@ errno_t become_user(uid_t uid, gid_t gid)
     int ret;
 
     DEBUG(SSSDBG_FUNC_DATA,
-          ("Trying to become user [%"SPRIuid"][%"SPRIgid"].\n", uid, gid));
+          "Trying to become user [%"SPRIuid"][%"SPRIgid"].\n", uid, gid);
 
     /* skip call if we already are the requested user */
     cuid = geteuid();
     if (uid == cuid) {
-        DEBUG(SSSDBG_FUNC_DATA, ("Already user [%"SPRIuid"].\n", uid));
+        DEBUG(SSSDBG_FUNC_DATA, "Already user [%"SPRIuid"].\n", uid);
         return EOK;
     }
 
@@ -46,7 +46,7 @@ errno_t become_user(uid_t uid, gid_t gid)
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("setgroups failed [%d][%s].\n", ret, strerror(ret)));
+              "setgroups failed [%d][%s].\n", ret, strerror(ret));
         return ret;
     }
 
@@ -55,7 +55,7 @@ errno_t become_user(uid_t uid, gid_t gid)
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("setresgid failed [%d][%s].\n", ret, strerror(ret)));
+              "setresgid failed [%d][%s].\n", ret, strerror(ret));
         return ret;
     }
 
@@ -65,7 +65,7 @@ errno_t become_user(uid_t uid, gid_t gid)
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("setresuid failed [%d][%s].\n", ret, strerror(ret)));
+              "setresuid failed [%d][%s].\n", ret, strerror(ret));
         return ret;
     }
 
@@ -92,22 +92,22 @@ errno_t switch_creds(TALLOC_CTX *mem_ctx,
     int size;
     int ret;
 
-    DEBUG(SSSDBG_FUNC_DATA, ("Switch user to [%d][%d].\n", uid, gid));
+    DEBUG(SSSDBG_FUNC_DATA, "Switch user to [%d][%d].\n", uid, gid);
 
     if (saved_creds) {
         /* save current user credentials */
         size = getgroups(0, NULL);
         if (size == -1) {
             ret = errno;
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Getgroups failed! (%d, %s)\n",
-                                        ret, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Getgroups failed! (%d, %s)\n",
+                                        ret, strerror(ret));
             goto done;
         }
 
         ssc = talloc_size(mem_ctx,
                           (sizeof(struct sss_creds) + size * sizeof(gid_t)));
         if (!ssc) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Allocation failed!\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Allocation failed!\n");
             ret = ENOMEM;
             goto done;
         }
@@ -116,8 +116,8 @@ errno_t switch_creds(TALLOC_CTX *mem_ctx,
         size = getgroups(ssc->num_gids, ssc->gids);
         if (size == -1) {
             ret = errno;
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Getgroups failed! (%d, %s)\n",
-                                        ret, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Getgroups failed! (%d, %s)\n",
+                                        ret, strerror(ret));
             /* free ssc immediately otherwise the code will try to restore
              * wrong creds */
             talloc_zfree(ssc);
@@ -137,7 +137,7 @@ errno_t switch_creds(TALLOC_CTX *mem_ctx,
         if (ret == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("setresuid failed [%d][%s].\n", ret, strerror(ret)));
+                  "setresuid failed [%d][%s].\n", ret, strerror(ret));
             goto done;
         }
     }
@@ -151,7 +151,7 @@ errno_t switch_creds(TALLOC_CTX *mem_ctx,
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("setgroups failed [%d][%s].\n", ret, strerror(ret)));
+              "setgroups failed [%d][%s].\n", ret, strerror(ret));
     }
 
     /* change gid now, (leaves saved gid to current, so we can restore) */
@@ -159,7 +159,7 @@ errno_t switch_creds(TALLOC_CTX *mem_ctx,
     if (ret == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("setresgid failed [%d][%s].\n", ret, strerror(ret)));
+              "setresgid failed [%d][%s].\n", ret, strerror(ret));
         goto done;
     }
 
@@ -169,7 +169,7 @@ errno_t switch_creds(TALLOC_CTX *mem_ctx,
         if (ret == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("setresuid failed [%d][%s].\n", ret, strerror(ret)));
+                  "setresuid failed [%d][%s].\n", ret, strerror(ret));
             goto done;
         }
     }
